Subject: [ANCP] Tech Type and Capabilities

From: Tom Taylor <[email-masked]>
Date: Tue, 29 Jun 2010 23:51:08 -0400

Reviewing Figure 8 and section 5.3 of the base protocol spec, I was left with a 
couple of questions in my mind.

1) Can a given AN partition support more than one Tech Type? If so, do we need 
to specify how to indicate multiple sets of capabilities in the adjacency 
message, one set for each Tech Type supported?

2) Have we defined any capabilities that depend on Tech Type? I'm sure the 
multicast stuff is technology independent. But how about line configuration and 
OAM?

Tom Taylor

---

From: Hongyu Li <[email-masked]>
Date: Wed, 30 Jun 2010 14:16:06 +0800

There would be more than one type of access technology existing on an Access
Node, while they may belong to a same partition.

At present, I can see line parameters for DSL and PON are totally different.
Even identifications of DSL line and PON port are different, where the
former is identified by DSL line and the latter should be something related
with ONU ID.

Cheers,
Hongyu

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Tom Taylor
> Sent: Wednesday, June 30, 2010 11:51 AM
> To: [email-masked]
> Subject: [ANCP] Tech Type and Capabilities
> 
> Reviewing Figure 8 and section 5.3 of the base protocol spec, 
> I was left with a couple of questions in my mind.
> 
> 1) Can a given AN partition support more than one Tech Type? 
> If so, do we need to specify how to indicate multiple sets of 
> capabilities in the adjacency message, one set for each Tech 
> Type supported?
> 
> 2) Have we defined any capabilities that depend on Tech Type? 
> I'm sure the multicast stuff is technology independent. But 
> how about line configuration and OAM?
> 
> Tom Taylor
> _______________________________________________
> ANCP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ancp
>

---

From: Tom Taylor <[email-masked]>
Date: Wed, 30 Jun 2010 08:46:29 -0400

I think that has two implications, as I indicated in my original note:

1) Instead of one set of capabilities in an adjacency message, we have to carry 
multiple sets, each identified by the Tech Type to which it applies.

2) In the IANA registry of capabilities and in the capability descriptions 
themselves, we have to identify the Tech Type(s) for which the capabilities are 
defined. For example, we may end up with capability type 
Line-Configuration-for-DSL (0x02) and Line-Configuration-For-PON (0x09, for 
example).

I would hope it would be possible for some capabilities to say that they apply 
to all Tech Types. Then we have a choice: repeat such capabilities in each set 
reported in the adjacency message (my recommendation, for flexibility, in case a 
Tech Type gets defined for which the capability doesn't apply after all), or 
have a Tech Type "all" and list such capabilities under that.

Could I have comments on these observations? I can work up examples if people 
need further information. Note that this will mean a real change from ANCPv3.1 
to ANCPv3.2.

Oh, and I wouldn't mind guidance on whether all three of the capabilities 
currently documented -- topology, line configuration, and OAM -- are for DSL only.

Tom Taylor

---

From: <[email-masked]>
Date: Thu, 1 Jul 2010 08:47:04 +0530

Tom,

Does this mean we will have separate set of TLV and sub-TLVs to define
PON line (ONU/ONT level) attributes.
Today, in protocol document I cannot see TLVs for PON line attributes. 

How about considering other wireless access technologies?

Regards
Srinivas

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Tom Taylor
Sent: Wednesday, June 30, 2010 6:16 PM
To: Hongyu Li
Cc: [email-masked]
Subject: Re: [ANCP] Tech Type and Capabilities

1) Instead of one set of capabilities in an adjacency message, we have
to carry 
multiple sets, each identified by the Tech Type to which it applies.

2) In the IANA registry of capabilities and in the capability
descriptions 
themselves, we have to identify the Tech Type(s) for which the
capabilities are 
defined. For example, we may end up with capability type 
Line-Configuration-for-DSL (0x02) and Line-Configuration-For-PON (0x09,
for 
example).

I would hope it would be possible for some capabilities to say that they
apply 
to all Tech Types. Then we have a choice: repeat such capabilities in
each set 
reported in the adjacency message (my recommendation, for flexibility,
in case a 
Tech Type gets defined for which the capability doesn't apply after
all), or 
have a Tech Type "all" and list such capabilities under that.

Could I have comments on these observations? I can work up examples if
people 
need further information. Note that this will mean a real change from
ANCPv3.1 
to ANCPv3.2.

Oh, and I wouldn't mind guidance on whether all three of the
capabilities 
currently documented -- topology, line configuration, and OAM -- are for
DSL only.

Tom Taylor